Atualização do script Ubuntu Perfeito.

Olá a todos,

Acabei de disponibilizar uma nova versão do script Ubuntu Perfeito para Ubuntu 10.04 Lucid, o link para download é :

https://sourceforge.net/projects/ubuntu-perfeito/files/

As mudanças feitas no período podem ser vistas no Changelog, porém posso cita-las :

  • O Skype agora é instalado a partir do repositorio partner que é diferente da versão descarregada diretamente do site do Skype. Parece que a versão contida no repositório é melhor.
  • Quando antes era utilizado um proxy, um verbose na tela revelava a URL que poderia conter a senh, isso foi corrigido e essa URL não será mais exibida.
  • Foi adicionado uma opção para completar a instalação do idioma que em algumas instalações fica incompleta
  • Novo VirtualBox 3.2 (recomendo)
  • Nova opção para remover o mono do sistema, neste caso, instala o gnote no lugar do tomboy e shotwell no lugar do f-spot.
  • Um bug impedia que certos pacotes fossem removidos do seu sistema, esse problema foi corrigido.

Muitos me enviam emails solicitando o .ISO do Ubuntu 10.04 Lucid com o script já aplicado, pois isso simplifica todo o processo, aproveito essa ocasião para informar o motivo de ainda não o faze-lo.

Acontece que a criação de um .ISO envolve tempo e esforço realizado somente no meu horário de folga em meu unico computador, um laptop.

Este laptop não é possuidor de virtualização por hardware (intel-VT) assim não consigo criar máquinas virtuais para ambiente 64bits e todo o aspecto de criação de um .ISO tem de se dar com uma máquina real, acontece que ultimamente não estou podendo ficar reinstalando diversas vezes o ubuntu neste laptop – processo comum para a criação e testes desse .ISO. Tenho que trabalhar também, lembra ?

Criar uma .ISO 32bits poderia ser feito sem nenhum problema, mas disponibilizar um ISO 32 bits e deixar de lado usuários de ambientes 64bits (eu incluso) não acho bacana.

Estou aguardando um melhor momento ($$$) para fazer um upgrade deste notebook e corrigir esta falha, mas por enquanto, o caixa tá baixo e vou ter que esperar um pouco mais. Comprar um notebook para mim não é um processo simples, um notebook só faz sentido para mim se for processador Intel e placa de vídeo nVIDIA e ainda por cima 16 ou 17 polegadas, aí fica difícil né ? Tem de ter grana de sobra, o que não está acontecendo…

Abraço a todos.

  1. #1 por william em 25 \25\UTC maio \25\UTC 2010 - 10:58

    Fico muito feliz com a sua resposta, sinta um grande grau de justiça ( tratamento igual a todos).
    Parabéns, pelo seu grande trabalho e esforço.

  2. #2 por guilhereme em 25 \25\UTC maio \25\UTC 2010 - 11:04

    pq exatamente vc precisa de um notebook com placa da nvidia? as ati estão espancando as nvidias no segmento mobile

  3. #3 por hamacker em 25 \25\UTC maio \25\UTC 2010 - 11:09

    confiança. Já experimentei dois notebooks com ATI (acer e compaq) e a experiência foi ruim. Mas se quiser me dar um notebook com ATI, aceitarei de bom grado :) Se tiver que pagar, vou preferir algo que tenha um bom histórico.

  4. #4 por guilhereme em 25 \25\UTC maio \25\UTC 2010 - 11:21

    uhn, entendi.. é que eu estou de olho em um sony vaio que vem com uma ati. vou ficar de olho pra ver se alguém reporta problemas

  5. #5 por guilhereme em 25 \25\UTC maio \25\UTC 2010 - 11:22

    lembrei de uma dúvida: esse seu script funciona em debian? seria possível adaptá-lo?

  6. #6 por hamacker em 25 \25\UTC maio \25\UTC 2010 - 11:34

    Sim, funcionaria em qualquer outra distro baseada em debian. O script prende ao Lucid explicitamente porque não consigo analisar nuancias pequenas entre uma distro ou outra, seria um trabalho muito grande para mim.

    []’s

  7. #7 por Bezerra em 26 \26\UTC maio \26\UTC 2010 - 17:49

    Eu acho que os usuários, incluindo eu, seria de bom grado se cotizar e dar esse Note pra você. Se a ideia vingar, pode contar comigo, você merece!

  8. #8 por balderrj em 27 \27\UTC maio \27\UTC 2010 - 15:42

    Hamacker, eu instalei o Ubuntu Perfeito que postou aqui no dia 11/05. Sendo assim preciso fazer uma atualização do Ubuntu perfeito que instalei? E caso seja necessário, como o faço?
    Obrigado.

  9. #9 por Jorge Adão em 29 \29\UTC maio \29\UTC 2010 - 13:26

    Para o guilherme: tenho um sony vaio com ATI RADEON HD4650 e funciona tudo direitinho… já tive HP com NVidia e foi pro conserto duas vezes… vendi o maldito!

    Dúvida sobre atualizar o scipt: a minha é igual a do balderrj. Como atualizar o script? tem que desinstalar e instalar o novo?

  10. #10 por Jorge Adão em 29 \29\UTC maio \29\UTC 2010 - 20:09

    Então, tem ou não tem que desinstalar o script antigo? E como se faz isso? Obrigado.

  11. #11 por admin em 31 \31\UTC maio \31\UTC 2010 - 13:02

    Adão, se você tem a versão anterior instalar e não for BETA ou RC, apenas atualize. Atualizar é instalar um programa que você ja tem instalado porém com uma versão mais nova. Assim como você instala, do mesmo jeito você atualiza, é apenas dar um duplo clique.

  12. #12 por Jorge Adão em 31 \31\UTC maio \31\UTC 2010 - 17:30

    Obrigado admin.

  13. #13 por Weder(MIB) em 13 \13\UTC junho \13\UTC 2010 - 3:56

    Opa blz cara.. primeiro quero agradecer e dar os parabens por seu esforço de manter o script, Se voce quiser me passar os meios de como fazer essa iso que terei o prazer de fazer para postarmos aqui. fico a disposição. Abraco.

  14. #14 por Rodrigo em 18 \18\UTC junho \18\UTC 2010 - 15:14

    Cara, você já faz um trabalho espetacular.
    O seu ponto de vista é muito justo.
    Imagino a trabalheira que dá pra manter isso tudo atualizado.

    Muito obrigado mesmo, seu esforço é notadamente irrepreensível.

    Belo trabalho.

    Abraço

  15. #15 por Leandro em 20 \20\UTC junho \20\UTC 2010 - 2:07

    Sem querer mudei a tema sugerido que vem no ubuntu perfeito, agora não consigo achar ele, só achei papel de parede, mas os icones e cor da janela não achei, qual o caminho para acha-lo? E parabens pelo velo trabalho.

  16. #16 por Wagner em 5 \05\UTC julho \05\UTC 2010 - 15:53

    Estou rodando o Ubuntu Perfeito, e toda hora está aparecendo coisas do tipo:

    ==== Instalando o tocador multiformatos MPlayer ====
    Lendo listas de pacotes… Pronto
    Construindo árvore de dependências
    Lendo informação de estado… Pronto
    Os seguintes pacotes foram automaticamente instalados e não são mais requeridos:
    libbabl-0.0-0 linux-headers-2.6.32-21 libgegl-0.0-0 wisotool
    libavutil-extra-49 linux-headers-2.6.32-21-generic winetricks
    ttf-symbol-replacement apport-hooks-medibuntu
    Use ‘apt-get autoremove’ para removê-los.
    0 pacotes atualizados, 0 pacotes novos instalados, 0 a serem removidos e 8 não atualizados.
    Lendo listas de pacotes… Pronto
    Construindo árvore de dependências
    Lendo informação de estado… Pronto
    Os seguintes pacotes foram automaticamente instalados e não são mais requeridos:
    libbabl-0.0-0 linux-headers-2.6.32-21 libgegl-0.0-0 wisotool
    linux-headers-2.6.32-21-generic winetricks ttf-symbol-replacement
    Use ‘apt-get autoremove’ para removê-los.
    Os pacotes extra a seguir serão instalados:
    libavcodec52 libavformat52 libdvdnav4 libdvdread4 libenca0 libfaac0 libgsm1
    liblzo2-2 libmp3lame0 libmpcdec3 libopenal1 libpostproc51
    libschroedinger-1.0-0 libsvga1 libswscale0 libx264-85 libxvidcore4
    Pacotes sugeridos:
    libdvdcss2 mplayer-doc netselect fping
    Pacotes recomendados:
    head
    Os NOVOS pacotes a seguir serão instalados:
    libavcodec52 libavformat52 libdvdnav4 libdvdread4 libenca0 libfaac0 libgsm1
    liblzo2-2 libmp3lame0 libmpcdec3 libopenal1 libpostproc51
    libschroedinger-1.0-0 libsvga1 libswscale0 libx264-85 libxvidcore4 mplayer
    0 pacotes atualizados, 18 pacotes novos instalados, 0 a serem removidos e 8 não atualizados.
    É preciso baixar 7104kB/10,1MB de arquivos.
    Depois desta operação, 25,0MB adicionais de espaço em disco serão usados.
    AVISO: Os pacotes a seguir não podem ser autenticados!
    libgsm1 libschroedinger-1.0-0 libavcodec52 libavformat52 libdvdread4
    libdvdnav4 libenca0 libfaac0 liblzo2-2 libmp3lame0 libmpcdec3 libpostproc51
    libsvga1 libswscale0 libxvidcore4 libopenal1 libx264-85 mplayer
    Err http://br.archive.ubuntu.com/ubuntu/ lucid/main libgsm1 1.0.13-3
    404 Not Found
    Err http://br.archive.ubuntu.com/ubuntu/ lucid/main libschroedinger-1.0-0 1.0.9.is.1.0.8-0ubuntu1
    404 Not Found
    Err http://br.archive.ubuntu.com/ubuntu/ lucid/main libavcodec52 4:0.5.1-1ubuntu1
    404 Not Found
    Err http://br.archive.ubuntu.com/ubuntu/ lucid/main libavformat52 4:0.5.1-1ubuntu1
    404 Not Found
    Err http://br.archive.ubuntu.com/ubuntu/ lucid/universe libdvdread4 4.1.3-8ubuntu1
    404 Not Found
    Err http://br.archive.ubuntu.com/ubuntu/ lucid/universe libdvdnav4 4.1.3-6
    404 Not Found
    Err http://br.archive.ubuntu.com/ubuntu/ lucid/main libenca0 1.12-1
    404 Not Found
    Err http://br.archive.ubuntu.com/ubuntu/ lucid/multiverse libfaac0 1.26-0.1ubuntu2
    404 Not Found
    Err http://br.archive.ubuntu.com/ubuntu/ lucid/main liblzo2-2 2.03-2
    404 Not Found
    Err http://br.archive.ubuntu.com/ubuntu/ lucid/multiverse libmp3lame0 3.98.2+debian-0ubuntu3
    404 Not Found
    Err http://br.archive.ubuntu.com/ubuntu/ lucid/main libmpcdec3 1:1.2.2-2.1ubuntu1
    404 Not Found
    Err http://br.archive.ubuntu.com/ubuntu/ lucid/main libpostproc51 4:0.5.1-1ubuntu1
    404 Not Found
    Err http://br.archive.ubuntu.com/ubuntu/ lucid/universe libsvga1 1:1.4.3-29
    404 Not Found
    Err http://br.archive.ubuntu.com/ubuntu/ lucid/main libswscale0 4:0.5.1-1ubuntu1
    404 Not Found
    Err http://br.archive.ubuntu.com/ubuntu/ lucid/universe libxvidcore4 2:1.2.2+debian-0ubuntu2
    404 Not Found
    Err http://br.archive.ubuntu.com/ubuntu/ lucid-updates/universe libopenal1 1:1.12.854-0ubuntu1~lucid1
    404 Not Found
    Err http://br.archive.ubuntu.com/ubuntu/ lucid/universe libx264-85 2:0.85.1448+git1a6d32-4
    404 Not Found
    Falhou ao buscar http://br.archive.ubuntu.com/ubuntu/pool/main/libg/libgsm/libgsm1_1.0.13-3_i386.deb 404 Not Found
    Falhou ao buscar http://br.archive.ubuntu.com/ubuntu/pool/main/s/schroedinger/libschroedinger-1.0-0_1.0.9.is.1.0.8-0ubuntu1_i386.deb 404 Not Found
    Falhou ao buscar http://br.archive.ubuntu.com/ubuntu/pool/main/f/ffmpeg/libavcodec52_0.5.1-1ubuntu1_i386.deb 404 Not Found
    Falhou ao buscar http://br.archive.ubuntu.com/ubuntu/pool/main/f/ffmpeg/libavformat52_0.5.1-1ubuntu1_i386.deb 404 Not Found
    Falhou ao buscar http://br.archive.ubuntu.com/ubuntu/pool/universe/libd/libdvdread/libdvdread4_4.1.3-8ubuntu1_i386.deb 404 Not Found
    Falhou ao buscar http://br.archive.ubuntu.com/ubuntu/pool/universe/libd/libdvdnav/libdvdnav4_4.1.3-6_i386.deb 404 Not Found
    Falhou ao buscar http://br.archive.ubuntu.com/ubuntu/pool/main/e/enca/libenca0_1.12-1_i386.deb 404 Not Found
    Falhou ao buscar http://br.archive.ubuntu.com/ubuntu/pool/multiverse/f/faac/libfaac0_1.26-0.1ubuntu2_i386.deb 404 Not Found
    Falhou ao buscar http://br.archive.ubuntu.com/ubuntu/pool/main/l/lzo2/liblzo2-2_2.03-2_i386.deb 404 Not Found
    Falhou ao buscar http://br.archive.ubuntu.com/ubuntu/pool/multiverse/l/lame/libmp3lame0_3.98.2+debian-0ubuntu3_i386.deb 404 Not Found
    Falhou ao buscar http://br.archive.ubuntu.com/ubuntu/pool/main/libm/libmpcdec/libmpcdec3_1.2.2-2.1ubuntu1_i386.deb 404 Not Found
    Falhou ao buscar http://br.archive.ubuntu.com/ubuntu/pool/main/f/ffmpeg/libpostproc51_0.5.1-1ubuntu1_i386.deb 404 Not Found
    Falhou ao buscar http://br.archive.ubuntu.com/ubuntu/pool/universe/s/svgalib/libsvga1_1.4.3-29_i386.deb 404 Not Found
    Falhou ao buscar http://br.archive.ubuntu.com/ubuntu/pool/main/f/ffmpeg/libswscale0_0.5.1-1ubuntu1_i386.deb 404 Not Found
    Falhou ao buscar http://br.archive.ubuntu.com/ubuntu/pool/universe/x/xvidcore/libxvidcore4_1.2.2+debian-0ubuntu2_i386.deb 404 Not Found
    Falhou ao buscar http://br.archive.ubuntu.com/ubuntu/pool/universe/o/openal-soft/libopenal1_1.12.854-0ubuntu1~lucid1_i386.deb 404 Not Found
    Falhou ao buscar http://br.archive.ubuntu.com/ubuntu/pool/universe/x/x264/libx264-85_0.85.1448+git1a6d32-4_i386.deb 404 Not Found

    O que faço para arrumar isso? como faço para ter certeza que tudo foi instalado corretamente? Estou usando o ubuntuperfeito-lucid-10.04.9_all.deb numa instalação nova do Ubuntu 10.04 (formatei, instalei e atualizei, além de acrescentar o repositório como indicado acima)…

  17. #17 por admin em 5 \05\UTC julho \05\UTC 2010 - 16:33

    Wagner,
    O script não está conseguindo descarregar arquivos da internet, é isso.
    Você seguiu os passos 1 e 2 do artigo ?
    Senão então leia com cuidado e siga os procedimentos.

%d blogueiros gostam disto: